#!/bin/sh -e
#
# This batch file builds and preverifies the code for the demos.
# it then packages them in a JAR file appropriately.
#
DEMO=balls
LIBDIR=/Applications/j2me/classes
PREVERIFY=/Applications/j2me/bin/preverify
JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Commands/

PATHSEP=":"

JAVAC=javac
JAR=jar

if [ -n "${JAVA_HOME}" ] ; then
  JAVAC=${JAVA_HOME}/javac
  JAR=${JAVA_HOME}/jar
fi

#
# Make possible to run this script from any directory'`
#
cd `dirname $0`

echo "Creating directories..."
mkdir -p ../tmpclasses
mkdir -p ../classes

echo "Compiling source files..."

${JAVAC} \
    -bootclasspath ${LIBDIR} \
    -d ../tmpclasses \
    `find ../src -name '*'.java`

echo "Preverifying class files..."

${PREVERIFY} \
    -classpath ${LIBDIR}${PATHSEP}../tmpclasses \
    -d ../classes \
    ../tmpclasses

echo "Jaring preverified class files..."
${JAR} cmf MANIFEST.MF ${DEMO}.jar -C ../classes .

if [ -d ../res ] ; then
  ${JAR} uf ${DEMO}.jar -C ../res .
fi

echo -n "Created ${DEMO}.jar in directory "
pwd
